Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(37)

Unified Diff: third_party/pkg/angular/run-test.sh

Issue 256553002: Revert "Update all Angular libs (run update_all.sh)." (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 6 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/pkg/angular/pubspec.yaml ('k') | third_party/pkg/angular/scripts/analyze.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/pkg/angular/run-test.sh
diff --git a/third_party/pkg/angular/run-test.sh b/third_party/pkg/angular/run-test.sh
new file mode 100755
index 0000000000000000000000000000000000000000..e216558138a417480396706cf270d051c2a7da61
--- /dev/null
+++ b/third_party/pkg/angular/run-test.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+set -e
+
+export DART_SDK=`which dart | sed -e 's/\/dart\-sdk\/.*$/\/dart-sdk/'`
+
+# OS-specific Dartium path defaults
+case $( uname -s ) in
+ Darwin)
+ CHROME_CANARY_BIN=${CHROME_CANARY_BIN:-"/Applications/dart/chromium/Chromium.app/Contents/MacOS/Chromium"};;
+esac
+if [ ! -x "$CHROME_CANARY_BIN" ]; then
+ echo "Unable to determine path to Dartium browser. To correct:"
+ echo "export CHROME_CANARY_BIN=path/to/dartium"
+ exit 1;
+fi
+export CHROME_CANARY_BIN
+export DART_FLAGS="--enable-type-checks --enable-asserts"
+
+# Check for node
+if [ -z "$(which node)" ]; then
+ echo "node.js does not appear to be on the path."
+ echo "You can obtain it from http://nodejs.org"
+ exit 1;
+fi
+
+# Run npm install so we are up-to-date
+npm install karma karma-dart karma-chrome-launcher \
+ karma-script-launcher karma-junit-reporter jasmine-node;
+
+# Print the dart VM version to the logs
+dart --version
+
+# run io tests
+dart --checked test/io/all.dart
+
+# run expression extractor tests
+scripts/test-expression-extractor.sh
+
+./scripts/analyze.sh &&
+ node_modules/jasmine-node/bin/jasmine-node playback_middleware/spec/ &&
+ node "node_modules/karma/bin/karma" start karma.conf \
+ --reporters=junit,dots --port=8765 --runner-port=8766 \
+ --browsers=ChromeCanary,Chrome --single-run --no-colors
+
« no previous file with comments | « third_party/pkg/angular/pubspec.yaml ('k') | third_party/pkg/angular/scripts/analyze.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698